/* Variables */
:where(:root) {
  font-family: Noto sans JP, Helvetica Neue, arial, Hiragino Kaku Gothic ProN, Hiragino Sans, BIZ UDPGothic, meiryo, sans-serif;
  font-style: unset;
  font-weight: 400;
  line-height: 1.5;
  text-align: start;
  word-break: initial;
  line-break: strict;
  hyphens: auto;
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

:where(body) {
  min-block-size: 100svb;
  margin: unset;
  padding: unset;
  background: var(--color--bg-default);
}

:where(h1, h2, h3, h4, h5, h6) {
  margin-block: unset;
  font-size: unset;
}

ul {
  margin-block: unset;
  padding-inline-start: unset;
}

ul > li {
  list-style-type: '';
}

:root {
  /* Layout */
  /* ビューポートの最小幅 (ピクセル単位) */
  --min-viewport-width: 375;
  /* ビューポートの最大幅 (ピクセル単位) */
  --max-viewport-width: 1200;

  /* Font Family */
  --font-primary: Noto sans JP, Helvetica Neue, arial, Hiragino Kaku Gothic ProN, Hiragino Sans, BIZ UDPGothic, meiryo, sans-serif;

  /* Font Size */
  /* 基本フォントサイズ */
  --font-size-base: 16;
  --em: 1em / 16;
  --rem: 1rem / 16;
  --font-size: calc(var(--font-size-base) * var(--em)); /* 1em */
  /* 各サイズを直接的なピクセル比で定義 */
  --font-size-9: calc(9 / var(--font-size-base) * var(--font-size)); /* 0.56em */
  --font-size-12: calc(12 / var(--font-size-base) * var(--font-size)); /* 0.75em */
  --font-size-13: calc(13 / var(--font-size-base) * var(--font-size)); /* 0.8125em */
  --font-size-14: calc(14 / var(--font-size-base) * var(--font-size)); /* 0.875em */
  --font-size-15: calc(15 / var(--font-size-base) * var(--font-size)); /* 0.9375em */
  --font-size-16: var(--font-size); /* 1em */
  --font-size-17: calc(17 / var(--font-size-base) * var(--font-size)); /* 1.0625em */
  --font-size-18: calc(18 / var(--font-size-base) * var(--font-size)); /* 1.125em */
  --font-size-19: calc(19 / var(--font-size-base) * var(--font-size)); /* 1.1875em */
  --font-size-20: calc(20 / var(--font-size-base) * var(--font-size)); /* 1.25em */
  --font-size-21: calc(21 / var(--font-size-base) * var(--font-size)); /* 1.3125em */
  --font-size-22: calc(22 / var(--font-size-base) * var(--font-size)); /* 1.375em */
  --font-size-23: calc(23 / var(--font-size-base) * var(--font-size)); /* 1.4375em */
  --font-size-24: calc(24 / var(--font-size-base) * var(--font-size)); /* 1.5em */
  --font-size-25: calc(25 / var(--font-size-base) * var(--font-size)); /* 1.5625em */
  --font-size-26: calc(26 / var(--font-size-base) * var(--font-size)); /* 1.625em */
  --font-size-27: calc(27 / var(--font-size-base) * var(--font-size)); /* 1.6875em */
  --font-size-28: calc(28 / var(--font-size-base) * var(--font-size)); /* 1.75em */
  --font-size-30: calc(30 / var(--font-size-base) * var(--font-size)); /* 1.875em */
  --font-size-31: calc(31 / var(--font-size-base) * var(--font-size)); /* 1.9375em */
  --font-size-32: calc(32 / var(--font-size-base) * var(--font-size)); /* 2em */
  --font-size-33: calc(33 / var(--font-size-base) * var(--font-size)); /* 2.0625em */
  --font-size-34: calc(34 / var(--font-size-base) * var(--font-size)); /* 2.125em */
  --font-size-35: calc(35 / var(--font-size-base) * var(--font-size)); /* 2.1875em */
  --font-size-36: calc(36 / var(--font-size-base) * var(--font-size)); /* 2.25em */
  --font-size-44: calc(44 / var(--font-size-base) * var(--font-size)); /* 2.75em */
  --font-size-48: calc(48 / var(--font-size-base) * var(--font-size)); /* 3em */
  --letter-spacing: normal;

  /* Font Weight */
  --font-weight-light: 300;
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semibold: 600;
  --font-weight-bold: 700;

  /* アウトライン設定 */
  --text-shadow-thin: 0.1px 0.1px 0.1px currentColor;
  --text-shadow-medium: 0.2px 0.2px 0.2px currentColor;
  --text-shadow-bold: 0.3px 0.3px 0.3px currentColor;
  --text-shadow-exbold: 0.5px 0.5px 0.5px currentColor;

  /* ------- Line Height ------- */
  /* line-height */
  --leading-tight: 1.25;
  --leading-snug: 1.4;
  --leading-normal: 1.5;
  --leading-relaxed: 1.66;
  --leading-loose: 2;

  /* ------- Letter Spacing ------- */
  /* ratio */
  --tracking-unit: 0.1em;

  /* トラッキング値 */
  --tracking-extra-wide-value: 1;
  --tracking-wider-value: 0.8;
  --tracking-wide-value: 0.7;
  --tracking-semi-wide-value: 0.5;
  --tracking-slightly-wide-value: 0.2;
  --tracking-normal-value: 0;
  --tracking-slightly-tight-value: -0.2;
  --tracking-tight-value: -0.5;

  --tracking-20-value: 0.2;
  --tracking-30-value: 0.3;
  --tracking-50-value: 0.5;
  --tracking-100-value: 1;

  /* 計算済みのトラッキング値 */
  --tracking-20: calc(var(--tracking-20-value) * var(--tracking-unit));
  --tracking-30: calc(var(--tracking-30-value) * var(--tracking-unit));
  --tracking-50: calc(var(--tracking-50-value) * var(--tracking-unit));
  --tracking-100: calc(var(--tracking-100-value) * var(--tracking-unit));
  --tracking-extra-wide: calc(var(--tracking-extra-wide-value) * var(--tracking-unit));
  --tracking-wider: calc(var(--tracking-wider-value) * var(--tracking-unit));
  --tracking-wide: calc(var(--tracking-wide-value) * var(--tracking-unit));
  --tracking-semi-wide: calc(var(--tracking-semi-wide-value) * var(--tracking-unit));
  --tracking-slightly-wide: calc(var(--tracking-slightly-wide-value) * var(--tracking-unit));
  --tracking-normal: calc(var(--tracking-normal-value) * var(--tracking-unit));
  --tracking-slightly-tight: calc(var(--tracking-slightly-tight-value) * var(--tracking-unit));
  --tracking-tight: calc(var(--tracking-tight-value) * var(--tracking-unit));

  /* Border-radius */
  --rounded-sm: 4px;
  --rounded-md: 6px;
  --rounded-lg: 10px;
  --rounded-xl: 20px;
  --rounded-full: calc(infinity * 1px);

  /* ------- Colors from Design System ------- */
  /* Neutral Colors */
  --color-neutral-100: #ffffff;

  --color-neutral-80: #efefef;
  --color-neutral-70: #ebeaea;
  --color-neutral-60: #dddddd;
  --color-neutral-40: #a8a6a6;
  --color-neutral-20: #9d9d9d;
  --color-neutral-5: #000000;

  /* Primary Colors */
  --color-red-base: #a22550;
  /* 数値は明度の高さを表現（100が最も明るい） */
  --color-red-100: #fad9df; /* 最も明るい */
  --color-red-200: #f1bfc8; /* やや明るい */
  --color-red-300: #eb93a3; /* 明るい */
  --color-red-500: var(--color-red-base); /* ベースカラー */
  --color-red-700: #851b32; /* 暗い */

  /* SNS color code */
  --color--theme-x: #000000;
  --color--theme-fb: #1877f2;
  --color--theme-line: #00b900;
  --color--theme-youtube: #ff0000;

  /* other color code */
  --color--theme-red: #ad1902;
  --color--theme-yellow: #f0eb67;

  /* bg gradation */
  --bg-fallback: rgb(231, 243, 254);
  --bg-gradient: linear-gradient(0deg, rgba(231, 243, 254, 1) 0%, rgba(255, 255, 255, 1) 100%);

  /* Semantic Colors */
  --footer-background: var(--bg-subtle);

  /* Semantic Colors:Text Colors */
  --color--text: var(--color-neutral-5);
  --color--text-inverse: var(--color-neutral-100);
  --color--link: var(--color-red-500);
  --color--placeholder: var(--color-neutral-40);

  /* Semantic Colors:Background Colors */
  --color--backgroud: #f8f5f3;
  --color--backgroud-accent: var(--color-red-200);
  --color--bg-default: var(--color-neutral-100);
  --color--bg-subtle: var(--color--backgroud);
  --color--bg-subtler: var(--color--backgroud-accent);
  --color--bg-elevation: var(--color-red-300);

  /* Semantic Colors:Border Colors */
  --border-default: var(--color-red-500);
  --border-black: var(--color-neutral-5);
  --border-gray: var(--color-neutral-60);

  /* Elevation */
  --elevation: 0px 3px 6px rgba(0, 0, 0, 0.03);
  --elevation-red: 0px 3px 6px #e3a4b0;

  /* Transition */
  --transition-hover: 0.3s ease;
  --transition-hover-slow: 0.5s ease-in;

  /* Buttons */
  --button-size--min: 44px;
  --button--color-text: var(--color--link);
  --button--color-border: var(--color--link);
  --button--color-border-hover: var(--color-neutral-100);
  --button--color-background: var(--color-neutral-100);
  --button--color-background-hover: var(--color-neutral-60);
  --button--font-family: var(--font-primary);
  --button--font-size: var(--font-size-lg);
  --button--font-weight: var(--font-weight-medium);
  --button--line-height: 1.5;
  --button--border-width: 1px;
  --button--border-width-hover: 2px;
  --button--outline-color: rgba(162, 37, 81, 0);
  --button--outline-color-hover: rgb(162, 37, 81);
  --button--border-radius: var(--rounded-full);

  /*slider */
  --slider-button--color-play: var(--color-red-500);
  --slider-button--color-stop: var(--color-neutral-100);
  --silder-button--border: var(--color-red-500);
  --silder-button--border-hover: var(--color-red-300);
  --slider-button--size: 50px;
  --slider-button--size-mobile: 44px;
  --slider-pagination--active: var(--color-red-500);
  --slider-pagination--inactive: var(--color-red-100);
  --slider-paginagion--size: 8px;

  /* Link */
  --link--color-text: var(--color--link);
  --link--color-border: var(--color--link);
  --link--color-border-hover: none;
  --link--color-background: var(--color-neutral-100);
  --link--color-background-hover: var(--color-red-100);
  --link--font-family: var(--font-primary);
  --link--font-size: var(--font-size-lg);
  --link--font-weight: var(--font-weight-medium);
  --link--line-height: 1.5;
  --link--border-width: 1px;
  --link--border-width-hover: 2px;
  --link--border-radius: var(--rounded-full);

  /* ------- Header （ヘッダー）------- */
  /* Header */
  --header--text-color: var(--color-red-500);
  --header--inline-start: 140px;
  --header--inline-start-mobile: 24px;
  --header--inline-end: 0;

  /* Header Title */
  --header-title-font-color: var(--color--text);
  --header-title-font-family: var(--font-primary);
  --header-title-font-size: 32px;
  --header-title-font-size-mobile: 5.2vw;
  --header-title-font-weight: var(--font-weight-regular);
  --header-title-text-transform: uppercase;

  /* Header Description */
  --header-description-font-family: var(--font-primary);
  --header-description-font-size: 12px;
  --header-description-font-size-mobile: 3.5vw;
  --header-description-font-weight: var(--font-weight-regular);

  /* Header Logo */
  --header-logo-max-width: 65px;
  --header-logo-max-height: 65px;
  --header-logo-max-width-mobile: 55px;
  --header-logo-max-height-mobile: 56px;

  /* Header Title */
  --header-name-max-width: 197px;
  --header-name-max-height: auto;
  --header-name-max-width-mobile: 156px;
  --header-name-max-height-mobile: auto;

  /* Header Elevation */
  --header-elevation: 0 0px 3px 6px rgba(0, 0, 0, 0.08);

  /* ------- Navigation Toggle Button ------- */
  --nav-toggle-open: var(--color-primary);
  --nav-tobble-close: var(--color-neutral-100);

  /* ------- Navigation ------- */
  /* Main Navigation */
  --main-nav-font-family: var(--font-primary);
  --main-nav-font-size: 19px;
  --main-nav-font-style: normal;
  --main-nav-font-weight: Var(--font-weight-medium);
  --main-nav-color-link: #333;
  --main-nav-color-link-hover: var(--color--bg-default);
  --main-nav-color-text: var(--color--text);
  --main-nav-padding: calc(0.66 * var(--spacing-unit));
  --main-nav-border-color: var(--border-bold-accent);

  /* Main Navigation - Mobile */
  --main-nav-font-family-mobile: var(--font-primary);
  --main-nav-font-size-mobile: var(--font-size-15);

  /* Main Navigation - Sub Menu */
  --main-nav-submenu--font-size: var(--font-size-xs);
  --main-nav-submenu--font-size-mobile: var(--font-size-sm);
  --main-nav-submenu--font-style-mobile: normal;

  /* Main Navigation - Button */
  --main-nav-button-font-size: var(--font-size-xs);
  --main-nav-button-font-weight: 500;

  /* ------- Toggle ------- */
  /* Toggle Color */
  --toggle-open: var(--color-red-700);
  --toggle-close: var(--color-red-700);
  --toggle-inline-end: 64px;
  /* Toggle Button */
  --toggle--size: 54px;
  --toggle--size-mobile: 44px;
  --toggle--line-width: 44px;
  --toggle--line-width-mobile: 40px;
  --toggle--line-heght: 3px;
  --toggle--padding: 6px;
  --toggle--duration: 0.5s;
  /* Toggle Text */
  --toggle--font-family: var(--font-primary);
  --toggle--font-size: 14px;
  --toggle--font-size-mobile: 14px;
  --toggle--font-weight: var(--font-weight-regular);
  --toggle--letter-spacing: 0.1em;

  /* ------- Drawer ------- */
  --drawer--text-color: var(--color-neutral-100);
  --drawer--bg: var(--color-red-200);
  --drawer--branding-title: 33px;
  --drawer--branding-title-mobile: 24px;
  --drawer--branding-description: 16px;
  --drawer--branding-description-mobile: 13px;
  --drawer--nav-color: var(--toggle-open);
  --drawer--nav-text: 22px;
  --drawer--nav-text-mobile: 20px;
  --drawer--nav-sub-text: 18px;
  --drawer--nav-sub-text-mobile: 15px;
  --drawer--nav-font-weight: var(--font-weight-regular);

  /* ------- Page Control ------- */
  /* Page Control */
  --ud--change-button: 35px;
  --ud--search-size: 350px;
  --ud--search-size-mobile: 315px;
  --ud--font-size-default: 16px;
  --ud--font-size-subtle: 20px;
  --ud--font-size-subtler: 17px;
  --ud--font-size-subtle-mobile: 18px;
  --ud--font-size-subtler-mobile: 13px;
  --ud--font-weight: var(--font-weight-regular);
  --ud--search-bg: var(--color-neutral-100);
  --ud--search-btn: var(--color-deep-blue);
  --ud--search-form-height: 40px;
  --ud--search-form-bg: var(--color--bg-default);
  --ud--search-form-bg--hover: #f8f5f3;

  /* ------- locus ------- */
  --locus--link: #002f52;
  --locus--font-size: var(--font-size-16);
  --locus--font-weight: var(--font-weight-regular);
  --locus--letter-spacing: var(--tracking-30);

  /* ------- Heading ------- */
  /* h1 */
  --heading--background-color-h1: var(--color-red-500);
  --heading--color-h1: var(--color-red-700);
  --heading--font-size-h1: var(--font-size-35);
  --heading--font-weight-h1: var(--font-weight-regular);
  --heading--letter-spacing-h1: var(--tracking-50);
  --heading--line-height-h1-mobile: var(--leading-tight);
  --heading--line-height-h1: var(--leading-normal);
  /* h2 */
  --heading--background-color-h2: #fddbe1;
  --heading--color-h2: var(--color--text);
  --heading--font-size-h2: var(--font-size-24);
  --heading--font-weight-h2: var(--font-weight-regular);
  --heading--line-height-h2: var(--leading-normal);
  --heading--letter-spacing-h2: var(--tracking-100);
  /* h3 */
  --heading--background-color-h3: var(--color-red-500);
  --heading--color-h3: var(--color--text);
  --heading--font-size-h3: var(--font-size-22);
  --heading--font-weight-h3: var(--font-weight-regular);
  --heading--line-height-h3: var(--leading-snug);
  --heading--letter-spacing-h3: var(--tracking-100);
  /* h4 */
  --heading--background-color-h4: #d07686;
  --heading--color-h4: var(--color--text);
  --heading--font-size-h4: var(--font-size-20);
  --heading--font-weight-h4: var(--font-weight-regular);
  --heading--line-height-h4: var(--leading-snug);
  --heading--letter-spacing-h4: var(--tracking-100);
  /* h5 */
  --heading--background-color-h5: var(--color-red-500);
  --heading--color-h5: var(--color--text);
  --heading--font-size-h5: var(--font-size-18);
  --heading--font-weight-h5: var(--font-weight-regular);
  --heading--line-height-h5: var(--leading-snug);
  --heading--letter-spacing-h5: var(--tracking-100);
  /* h6 */
  --heading--background-color-h6: #b3b3b3;
  --heading--color-h6: var(--color--text);
  --heading--font-size-h6: var(--font-size-18);
  --heading--font-weight-h6: var(--font-weight-regular);
  --heading--line-height-h6: var(--leading-snug);
  --heading--letter-spacing-h6: var(--tracking-100);

  /* ------- Section Heading ------- */
  --section-heading--color: var(--color-deep-navy);
  --section-heading--color-white: var(--color-neutral-100);
  --section-heading--font-size-36: var(--font-size-36);
  --section-heading--font-size-30: var(--font-size-30);
  --section-heading--font-weight: var(--font-weight-regular);
  --section-heading--line-height: 1;
  --section-heading--letter-spacing: var(--tracking-50);

  /* ------- Txtbox ------- */
  --txtbox--margin-block-start: 53px;
  --txtbox--margin-block-start-mobile: calc(var(--txtbox--margin-block-start) / 2);
  --txtbox--margin-block-end: 68px;
  --txtbox--margin-block-end-mobile: calc(var(--txtbox--margin-block-end) / 2);
  --txtbox--font-size: var(--font-size-18);
  --txtbox--font-weight: var(--font-weight-regular);
  --txtbox--letter-spacing: 0;
  --txtbox--line-height: var(--leading-relaxed);
  --txtbox--text-link: var(--color--link);
  --txtbox--text-link--hover: var(--color--link);
  --txtbox--marker-color: var(--color-red-500);
  --txtbox--marker-size: 7px;

  /* Block: Table */
  --table--stripes-border-color: #a22550;
  --table--th-background-color: #fddbe1;
  --table--td-background-color: #ffffff;
  --table--has-background-text-color: #a22550;
  --table--th-font-color: #a22550;

  /* side Navigation */
  --side-nav-font-size: var(--font-size-2xl);
  --side-nav-font-style: normal;
  --side-nav-font-weight: var(--font-weight-default);
  --side-nav-tracking: var(--tracking-semi-wide);
  --side-nav-color-link: var(--color-red-700);
  --side-nav-color-link-hover: #fdebee;
  --side-nav-color-text: var(--color--text-inverse);
  --side-nav-padding: calc(0.66 * var(--spacing-unit));
  --side-nav-border-color: var(--color-red-500);
  --side-nav-background-color: var(--color-red-100);

  /* Main Navigation - Mobile */
  --side-nav-font-family-mobile: var(--font-primary);
  --side-nav-font-size-mobile: var(--font-size-sm);

  /* Main Navigation - side Menu */
  --side-nav-sidemenu--font-size: var(--font-size-xs);
  --side-nav-sidemenu--font-size-mobile: var(--font-size-sm);
  --side-nav-sidemenu--font-style-mobile: normal;

  /* Main Navigation - Button */
  --side-nav-button-font-size: var(--font-size-xs);
  --side-nav-button-font-weight: 500;

  /* ------- Footer ------- */
  /* Footer */
  --footer--background: var(--color-pale-blue-gray);
  --footer--color-text: var(--color--text);
  --footer--color-link: var(--color--text);
  --footer--color-link-hover: var();
  --footer--font-family: var(--font-primary);
  --footer--font-size: var(--font-size-16);
  --footer--font-weight: var(--font-weight-regular);
  --footer--letter-spacing: var(--tracking-50);
  --footer--line-height: var(--leading-normal);
  --footer--block-start: 35px;
  --footer--block-end: 139px;
  /* Separator */
  --separator--border-color: var(--color-neutral-70);
  --separator--border-color-mobile: var(--color-neutral-80);
  --separator--height: 1px;
  /* Copyright */
  --copyright--color: var(--color--text);
  --copyright--font-size: var(--font-size-16);
  --copyright--font-weight: var(--font-weight-regular);
  --copyright--letter-spacing: var(--tracking-50);
  --copyright--line-height: var(--leading-normal);
  /* toTop */
  --totop--size: 76px;
  --totop--size-mobile: 54px;
  --totop--icon-width: 22px;
  --totop--background-color: var(--color-red-500);

  /* ------- Common ------- */
  --link-button--text-color: var(--color-red-500);
  --link-button--background-color: var(--color-red-200);
  --link-button--border--hover: var(--color-red-500);

  /* Spacing */
  --space-measure: unset;
  /* 基本space */
  --space-unit: calc(8 * var(--rem));
  --space-xs: calc(var(--space-unit) / 2); /*4px*/
  --space-sm: var(--space-unit); /*8px*/
  --space-md: calc(var(--space-unit) * 2); /*16px*/
  --space-lg: calc(var(--space-unit) * 3); /*24px*/
  --space-xl: calc(var(--space-unit) * 5); /*40px*/
  --space-2xl: calc(var(--space-unit) * 8); /*64px*/
  --space-3xl: calc(var(--space-unit) * 13); /*104px*/

  /* Direct Spacing Values with rem calculation */
  --space-4: calc(4 * var(--rem)); /* 4px = 0.25rem (unit / 2) */
  --space-6: calc(6 * var(--rem)); /* 6px = 0.375rem (unit * 0.75) */
  --space-8: calc(8 * var(--rem)); /* 8px = 0.5rem (unit * 1) */
  --space-12: calc(12 * var(--rem)); /* 12px = 0.75rem (unit * 1.5) */
  --space-16: calc(16 * var(--rem)); /* 16px = 1rem (unit * 2) */
  --space-24: calc(24 * var(--rem)); /* 24px = 1.5rem (unit * 3) */
  --space-32: calc(32 * var(--rem)); /* 32px = 2rem (unit * 4) */
  --space-40: calc(40 * var(--rem)); /* 40px = 2.5rem (unit * 5) */
  --space-64: calc(64 * var(--rem)); /* 64px = 4rem (unit * 8) */
  --space-104: calc(104 * var(--rem)); /* 104px = 6.5rem (unit * 13) */

  /* Responsive */

  /* 各ブレークポイントでのコンテナサイズ */
  --container-size-sm: 375px;
  --container-size-md: 864px;
  --container-size-lg: 1160px;
  --container-size-xl: 1400px;

  --container-content: calc(calc(2 * var(--space-16)) + var(--container-size-lg));

  /* ガターのスペーシング（最小幅の流動的な比率に基づく） */
  --spacing-gutter: calc(20 * var(--min-fluid-ratio));

  /* Aspect-ratio */
  --aspect-square: 1 / 1;
  --aspect-video: 16 / 9;
  --aspect-video-vertical: 9 / 16;
  --aspect-golden: 1.618 / 1;
  --aspect-photo: 4 / 3;
  --aspect-photo-vertical: 3 / 4;
  --aspect-landscape: 3 / 2;
  --aspect-portrait: 2 / 3;
  --aspect-thumbnail: 1.91 / 1;

  /* z-index */
  --stack-top: calc(infinity);
  --stack-head: 200;
  --stack-foot: 100;
  --stack-foreground: 1;
  --stack-background: -1;
}
